Bug 598455 - anaconda fails to find storage on a machine with a single sata disk.
anaconda fails to find storage on a machine with a single sata disk.
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
high Severity medium
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 08:29 EDT by Dan Kenigsberg
Modified: 2010-06-16 15:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-16 14:58:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log of anaconda 13.21.48 showing the same behavior. (7.09 KB, text/plain)
2010-06-02 08:21 EDT, Dan Kenigsberg
no flags Details

  None (edit)
Description Dan Kenigsberg 2010-06-01 08:29:14 EDT
Description of problem:
I have a box with a single sata disk, on which I have installed RHEL6 many months ago. Unfortunately, the hard disk died, and I had to reinstall RHEL6 (after replacing the disk, of course).

From various media, anaconda kept dying when it was trying to find storage media. Its backtrace included cleardisks_gui.py:146 and gui.py:1388.
A little debuggin with pdb showed that the only disk (sda) was "hidden" and thus did not appear on the list of available disks.

Version-Release number of selected component (if applicable):
At least on one occasion, I recorded that anaconda version is 13.21.20.5.
Comment 1 Hans de Goede 2010-06-01 09:02:40 EDT
(In reply to comment #0)
> Description of problem:
> I have a box with a single sata disk, on which I have installed RHEL6 many
> months ago. Unfortunately, the hard disk died, and I had to reinstall RHEL6
> (after replacing the disk, of course).
> 
> From various media, anaconda kept dying when it was trying to find storage
> media. Its backtrace included cleardisks_gui.py:146 and gui.py:1388.
> A little debuggin with pdb showed that the only disk (sda) was "hidden" and
> thus did not appear on the list of available disks.
> 
> Version-Release number of selected component (if applicable):
> At least on one occasion, I recorded that anaconda version is 13.21.20.5.    

13.21.20.5 is quite old, please re-test with a recent snapshot. I expect you will then first get a warning that sda is part of an incomplete BIOS RAID set and thus ignored, and then an error dialog that no usable disks are found.
Comment 2 Dan Kenigsberg 2010-06-02 02:49:53 EDT
I've ask Haim to try out a newer rhel6 install iso (there's no faster way, isn't it?).

BTW, after entering Pdb, is there any way to un-raise the exception and continue installation?
Comment 3 Dan Kenigsberg 2010-06-02 08:21:47 EDT
Created attachment 419013 [details]
log of anaconda 13.21.48 showing the same behavior.
Comment 4 Hans de Goede 2010-06-02 09:38:09 EDT
Hi,

Thanks for the log, but to pinpoint this we need all logfiles which can be found under /tmp from tty2, not just anaconda.log. So please try again and attach /tmp/*log here.

Regards,

Hans
Comment 5 David Cantrell 2010-06-16 14:58:42 EDT
If you can reproduce the problem and attach all the log files as described in comment 4, feel free to reopen the bug.
Comment 6 Dan Kenigsberg 2010-06-16 15:26:13 EDT
ֹFortunately for us, unfortunately for anaconda, we've replaced the disk, played with its sata cable, and installation went fine.

Note You need to log in before you can comment on or make changes to this bug.